Retrieve LinkedIn Ads analytics data with configurable pivot and time grouping

http
GET https://services.leadconnectorhq.com/ad-publishing/linkedin/reporting

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYesAccount ID
pivotstringNoAnalytics pivot type
groupBystringNoTime granularity for analytics
startDatestringYes2024-01-01Start date in yyyy-mm-dd format
endDatestringYes2024-01-31End date in yyyy-mm-dd format
entityUrnsstringNoComma-separated list of entity URNs
fieldsstring[]NoComma-separated list of fields to retrieve

Responses

200 - Response
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/ad-publishing/linkedin/reporting' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?